require 'nokogiri'

module Planetruby2feed
  module Parser

    def find_posts
      @webpage.css('.main div.post', '.main div.star-post').each do |post|
        @posts << parse_post(post)
      end
    end

    private

      def parse_post(post)
        begin
          title = post.css('> h2 a').text.strip
          link = post.css('> h2 a').attr('href').value
          star_post = (post.attr('class') == 'star-post')

          post.css('> h2').remove
          post.css('span.small-text').remove

          return { title: title, link: link, star_post: star_post, content: post.to_html }
        rescue
          nil
        end
      end
  end
end
